LOCK(1)

NAME
lock - reserve a terminal

SYNOPSIS
lock [-np] [-a style] [-t timeout]

DESCRIPTION
lock requests a password from the user, reads it again for verification and then will normally not relinquish the terminal until the password is repeated. There are two other conditions under which it will terminate: it will timeout after some interval of time and it may be killed by someone with the appropriate privileges.

The options are as follows:

-a style
    The specified BSD Authentication login style (as specified in /etc/login.conf) will be used to authenticate the user. If the particular style requires a challenge/response handshake or a special prompt, the user may enter the name of the style to get the standard prompt for that style.

-n  Don't use a timeout value. Terminal will be locked forever.

-p  A password is not requested, instead the user's current login password is used. If the user has an S/Key key, they may also use it to unlock the terminal. To do this the user should enter "s/key" at the unlock “Key:” prompt. The user will then be issued an S/Key challenge to which they may respond with a six-word S/Key one-time password.

-t timeout
    The time limit (default 15 minutes) is changed to timeout minutes.

SEE ALSO
skey(1), login.conf(5)

HISTORY
The lock command first appeared in 2BSD.

AUTHORS
Kurt Shoens.